Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class OrQueryExp

    java.lang.Object
      |
      +--com.sun.wbem.query.QueryExp
            |
            +--com.sun.wbem.query.OrQueryExp

public class OrQueryExp
extends QueryExp

It is used by the query building mechanism to represent disjunctions of relational expressions.

         query1 || query2

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`OrQueryExp()` Empty constructor
`OrQueryExp(QueryExp q1, QueryExp q2)` Constructor with two QueryExp operands.

Method Summary
`boolean` | `apply(CIMElement obj)` return boolean true if the either operand evaluates to true, false otherwise.
`QueryExp` | `getLeftExp()` Accessor for left expression
`QueryExp` | `getRightExp()` Accessor for right expression
`java.lang.String` | `toString()` Returns the WQL string form.

Methods inherited from class com.sun.wbem.query.QueryExp
`canonizeCOD, canonizeDOC`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrQueryExp

    public OrQueryExp(QueryExp q1,
                      QueryExp q2)

  Constructor with two QueryExp operands.

### OrQueryExp

    public OrQueryExp()

  Empty constructor

Method Detail

### getLeftExp

    public QueryExp getLeftExp()

  Accessor for left expression

### getRightExp

    public QueryExp getRightExp()

  Accessor for right expression

### apply

    public boolean apply(CIMElement obj)
                  throws CIMException

  return boolean true if the either operand evaluates to true, false otherwise.
  Overrides:
    apply in class QueryExp
  Tags copied from class: QueryExp
  Parameters:
    `obj` - The 'row' which is being applied. The row in the case of WQL can be any CIMElement. Currently the only valid CIMElement is CIMInstance.
  Returns:
    boolean true if the 'row' meets the conditions, 'false' otherwise In the case of QueryExp it is always true.
  See Also:
    `CIMInstance`

### toString

    public java.lang.String toString()

  Returns the WQL string form.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD